Subject: Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 10 Nov 2024 20:56:33 +0900

Hi,

Ludovic Courtès <[email-masked]> writes:

> Efraim Flashner <[email-masked]> skribis:
>
>> On Fri, Jul 26, 2024 at 02:51:49PM -0400, Leo Famulari wrote:
>>> For a long time we've not been able to build linux-libre on i686-linux
>>> because the source unpacking process runs out of memory.
>>
>> I believe if we limit the unpacking process to not more than 8 cores we
>> can avoid that problem.
>
> Also, this is very much a defect of xz; on ‘core-updates’,
> ‘patch-and-repack’ uses zstd, which is much less memory-hungry and more
> predictable.

I was about to write this; thanks for be6g faster :-).  I believe the
unpacking should now be fine even for i686, Leo?

-- 
Thanks,
Maxim